(function ($) {
	
  Drupal.behaviors.responsivevrGridMask = {
    attach: function (context, settings) {
      if ($('body.grid-mask-enabled').size() > 0) {
        var grid_width_pos = parseInt($('body').attr('class').indexOf('grid-width-')) + 11;
        var grid_width = $('body').attr('class').substring(grid_width_pos, grid_width_pos + 2);
        var grid = '<div id="grid-mask-overlay" class="full-width"><div class="row">';
        for (i = 1; i <= grid_width; i++) {
          grid += '<div class="block grid-1"><div class="inner"></div></div>';
        }
        grid += '</div></div>';
        $('body.grid-mask-enabled').prepend(grid);
        $('#grid-mask-overlay .row').addClass('container-' + grid_width);
        $('#grid-mask-overlay .block .inner').height($('body').height());
      }
    }
  };

  Drupal.behaviors.responsivevrGridMaskToggle = {
    attach: function (context, settings) {
      if ($('body.grid-mask-enabled').size() > 0) {
        $('body.grid-mask-enabled').prepend('<div id="grid-mask-toggle">grid</div>');
        $('div#grid-mask-toggle')
          .toggle( function () {
            $(this).toggleClass('grid-on');
            $('body').toggleClass('grid-mask');
          },
          function() {
            $(this).toggleClass('grid-on');
            $('body').toggleClass('grid-mask');
          });
      }
    }
  };
  Drupal.behaviors.responsivevrSelectmenu = {
    attach: function (context, settings) {
	  // Create the dropdown base
      $("<select />").appendTo("nav#navigation div.region-navigation");
      
      // Create default option "Go to..."
      $("<option />", {
    	 "selected": "selected",
    	 "value"   : "",
    	 "text"    : "Go to..."
      }).appendTo("nav#navigation div.region-navigation select");
      
      // Populate dropdown with menu items
      $("nav#navigation div.region-navigation div#block-menu-block-1 .content ul li a").each(function() {
        var el = $(this);
        $("<option />", {
          "value" : el.attr("href"),
          "text"  : el.text()
        }).appendTo("nav#navigation div.region-navigation select");
      });
      
      $("nav#navigation div.region-navigation select").change(function() {	
    	window.location = $(this).find("option:selected").val();  
      });  
	}
  };
  Drupal.behaviors.responsivevrMobilemenu = {
    attach: function (context, settings) {
      var nav = $('#navigation');
      
      // Init
      nav.find('#block-menu-block-1').addClass('nav-collapsed');
      
      // Menu
      nav.find('h2.class1header').click(function(){
    	nav.find('#block-menu-block-1').toggleClass('nav-collapsed');
      });  		
	}
  };
  Drupal.behaviors.responsivevrTableintro = {
     attach: function (context, settings) {
	   $('body.not-front .field-name-body table').before('<p class="tablemobiintro">Scroll the following table left to right to see all columns.</p>');
	 }
  };

})(jQuery);;
